#ifndef JESHADER_H
#define JESHADER_H

#include "BaseType.h"
#include "jeTypes.h"
#include "jeShaderInfo.h"

JETAPI void jeShader_InteractiveParse();
JETAPI jeBoolean jeShader_Run(char * script, jeWorld *World);
JETAPI jeBoolean JETCC jeShader_Destroy(jeShader **ptrShader);
JETAPI jeShader * jeShader_Create();
JETAPI jeShader * jeShader_CreateFromFile(char * script, char * refname);

jeBoolean jeShader_Render(jeShader *Shader, jeWorld *World, jeEngine *Engine, jeCamera *Camera, jeFrustum *CameraSpaceFrustum);
jeBoolean jeShader_Frame(jeShader *Shader, jeWorld *World, float TimeDelta);

#endif